<?php

namespace App\Distributor\Repositories;

use App\Models\SitePagesTagRelationship as Model;
use Dcat\Admin\Repositories\EloquentRepository;

class SitePagesTagRelationship extends EloquentRepository
{
    /**
     * Model.
     *
     * @var string
     */
    protected $eloquentClass = Model::class;

    //
    public static function destroyBytagID($ids)
    {
        if (count($ids) > 0) {
            Model::wherein('tag_id', $ids)->delete();
        }
    }
}
